Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233323 - duplicate autostart files
Summary: duplicate autostart files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-21 16:16 UTC by Matthias Clasen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: tracker-0.5.4-6.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-31 12:14:36 UTC


Attachments (Terms of Use)

Description Matthias Clasen 2007-03-21 16:16:18 UTC
trackerd installs /etc/xdg/autostart/trackerd.desktop
tracker-search-tool install /usr/share/autostart/trackerd.desktop

Intentional ?

Comment 1 Deji Akingunola 2007-03-21 16:39:33 UTC
(In reply to comment #0)
> 
> Intentional ?

Yes. The thought was that /etc/xdg/autostart/trackerd.desktop will autostart the
daemon for the GNOME desktop and the /usr/share/autostart/trackerd.desktop for
KDE (since KDE doesn't look under /etc/xdg/autostart in the KDE-3* series).
But that was before I split out tracker-search-tool out of the main package; now
that there is tracker-search-tool which is very GNOME dependent, I should
probably drop /usr/share/autostart/trackerd.desktop from it.

Comment 2 Matthias Clasen 2007-03-22 00:25:43 UTC
It would look less like an accident if both autostart files were in the same
package, I guess.

Comment 3 Deji Akingunola 2007-03-31 12:14:36 UTC
I've now put both autostart files in the main package as you suggested.


Note You need to log in before you can comment on or make changes to this bug.